Page MenuHomePhabricator

Verify that new portal Event Logging is happening correctly (DUE Nov 16/17)
Closed, ResolvedPublic2 Estimate Story Points

Description

Right after deploying T118022: Deploy wikipedia.org portal code that has Event Logging (DUE Nov 16), we should make sure Event Logging is at least basically working. Presumably it should be re-checked a day later, but that decision is up to @Ironholds.

Event Timeline

ksmith raised the priority of this task from to Medium.
ksmith updated the task description. (Show Details)
Jdrewniak set Security to None.
Jdrewniak moved this task from Backlog to Done on the Discovery-Portal-Sprint board.

Have we resolved all of the questions about whether it's good for storing an equivalent session ID then?

@Ironholds could you please reiterate the concerns regarding the session ID? I'm not entirely up to speed with the issue surrounding this.

We need either data equivalent to the TestSearchSatisfaction2 schema, in this schema, orr a session ID in this schema that correlates to the TSS2 schema's session IDs so that we can link the qualitative responses to this survey to that quantitative data.

would it be possible to use the hashed IP values to correlate the TSS2 and portal data?

No, IP is not an accurate way of doing this, even with the userAgent factored in.

Jdrewniak edited a custom field.Dec 8 2015, 10:19 PM
Deskana closed this task as Resolved.Dec 29 2015, 6:48 PM
Deskana moved this task from Needs triage to On Sprint Board on the Discovery board.
Deskana added a subscriber: Deskana.
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Jan 26 2016, 12:33 AM